Announcement

Collapse
No announcement yet.

Subversion 1.8 now prompting for passphrase on each repo hit (Windows)

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Subversion 1.8 now prompting for passphrase on each repo hit (Windows)

    I upgraded to 1.8 and all was well until I changed out a cert and deleted my auth folder. Now I get prompted for my passphrase for my p12 cert on each command that touches the repo.

    These are my settings in the servers file:
    store-ssl-client-cert-pp-plaintext = no
    store-ssl-client-cert-pp = yes
    password-stores = windows-cryptoapi
    ssl-client-cert-file = C:\Users\creager\AppData\Roaming\Subversion\cert.p 12

    If I do an svn ls on the repo I get prompted for the passphrase (each time I try it)
    c:\workspace>svn ls https://hp-dfe.csd200a.com/svn/hp-dfe/comps
    Passphrase for 'C:\Users\creager\AppData\Roaming\Subversion\cert. p12'

    Note:
    - I tried moving the password-stores = windows-cryptoapi to the config file as I noticed it in there, but same result.
    - Also added these two settings, same issue:
    store-passwords = yes
    store-auth-creds = yes

  • #2
    more info:

    I uninstalled, rolled back to 1.7.9-1 and have no issue. Upgrade to 1.8.3 and I am still ok (creds are cached), remove the auth directory and I am prompted (as expected). Try the command again, I am prompted again (not caching)

    Comment

    Working...
    X